commit 62c4ea8a4002c4b37b190cc4c62d55506d228645
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Tue Aug 25 22:34:59 2020 +0200

    ref #9204 , ref #9208 move cdmlib-remote and cdmlib-print to taxeditor.printpublisher

diff --git a/.gitignore b/.gitignore
index 83d238ea6..241277f28 100644
--- a/.gitignore
+++ b/.gitignore
@@ -113,3 +113,4 @@ eu.etaxonomy.taxeditor.cdmlib/lib/apache-log4j-extras-1.2.17.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/antlr-2.*.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/cglib-nodep-3.*.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/ehcache-2.*.jar
+eu.etaxonomy.taxeditor.printpublisher/lib/cdmlib-*.jar
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 4961dfe09..ffcc6e26c 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -610,8 +610,6 @@ Bundle-ClassPath: .,
  lib/cdmlib-io-5.18.0-SNAPSHOT.jar,
  lib/cdmlib-model-5.18.0-SNAPSHOT.jar,
  lib/cdmlib-persistence-5.18.0-SNAPSHOT.jar,
- lib/cdmlib-print-5.18.0-SNAPSHOT.jar,
- lib/cdmlib-remote-5.18.0-SNAPSHOT.jar,
  lib/cdmlib-cache-5.18.0-SNAPSHOT.jar,
  lib/cdmlib-services-5.18.0-SNAPSHOT.jar,
  lib/com.springsource.org.aopalliance-1.0.0.jar,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index a3a2e360b..de5e121f3 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -8,8 +8,6 @@ bin.includes = META-INF/,\
                lib/cdmlib-io-5.18.0-SNAPSHOT.jar,\
                lib/cdmlib-model-5.18.0-SNAPSHOT.jar,\
                lib/cdmlib-persistence-5.18.0-SNAPSHOT.jar,\
-               lib/cdmlib-print-5.18.0-SNAPSHOT.jar,\
-               lib/cdmlib-remote-5.18.0-SNAPSHOT.jar,\
                lib/cdmlib-services-5.18.0-SNAPSHOT.jar,\
                lib/com.springsource.org.aopalliance-1.0.0.jar,\
                lib/com.springsource.org.apache.commons.logging-1.1.1.jar,\
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index 8dcd3fcdb..3d79ce53f 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -22,7 +22,7 @@
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-surefire-plugin</artifactId>
-          <version>2.7</version>
+          <version>2.22.2</version>
         </plugin>
       </plugins>
     </pluginManagement>
@@ -231,16 +231,6 @@
       <artifactId>cdmlib-persistence</artifactId>
       <version>${cdmlib.version}</version>
     </dependency>
-    <dependency>
-      <groupId>eu.etaxonomy</groupId>
-      <artifactId>cdmlib-remote</artifactId>
-      <version>${cdmlib.version}</version>
-    </dependency>
-    <dependency>
-      <groupId>eu.etaxonomy</groupId>
-      <artifactId>cdmlib-print</artifactId>
-      <version>${cdmlib.version}</version>
-    </dependency>
     <dependency>
       <groupId>eu.etaxonomy</groupId>
       <artifactId>cdmlib-services</artifactId>
diff --git a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
index 2742267a6..41b2e70ed 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
@@ -8,6 +8,9 @@ Require-Bundle: org.eclipse.osgi,
  eu.etaxonomy.taxeditor.cdmlib,
  eu.etaxonomy.taxeditor.editor,
  eu.etaxonomy.taxeditor.store
+Bundle-ClassPath: .,
+ lib/cdmlib-print-5.18.0-SNAPSHOT.jar,
+ lib/cdmlib-remote-5.18.0-SNAPSHOT.jar
 Import-Package: org.apache.log4j,
  org.eclipse.core.runtime,
  org.eclipse.core.runtime.jobs,
diff --git a/eu.etaxonomy.taxeditor.printpublisher/build.properties b/eu.etaxonomy.taxeditor.printpublisher/build.properties
index f33f1fd6a..38f8b19a9 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/build.properties
+++ b/eu.etaxonomy.taxeditor.printpublisher/build.properties
@@ -2,5 +2,7 @@ source.. = src/main/java/
 bin.includes = META-INF/,\
                .,\
                plugin.xml,\
+               lib/cdmlib-print-5.18.0-SNAPSHOT.jar,\
+               lib/cdmlib-remote-5.18.0-SNAPSHOT.jar,\
                OSGI-INF/l10n/bundle.properties,\
                OSGI-INF/l10n/bundle_de.properties,\
diff --git a/eu.etaxonomy.taxeditor.printpublisher/pom.xml b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
index d7f158f55..b234bb050 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/pom.xml
+++ b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
@@ -7,12 +7,52 @@
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
-	<groupId>eu.etaxonomy</groupId>
 	<artifactId>eu.etaxonomy.taxeditor.printpublisher</artifactId>
 	<packaging>eclipse-plugin</packaging>
 	
 	<name>Printpublisher Bundle</name>
 	<description />
 	<url>http://cybertaxonomy.eu/printpublisher</url>
-
+	<build>
+		<plugins>
+	      <plugin>
+	        <groupId>org.apache.maven.plugins</groupId>
+	        <artifactId>maven-dependency-plugin</artifactId>
+	        <version>3.1.2</version>
+	        <executions>
+	          <execution>
+	            <id>copy-dependencies</id>
+	            <phase>validate</phase>
+	            <goals>
+	              <goal>copy-dependencies</goal>
+	            </goals>
+	            <configuration>
+	              <excludeArtifactIds>
+	                cdmlib-commons,cdmlib-model,cdmlib-persistence,cdmlib-services,cdmlib-cache,cdmlib-ext,cdmlib-io,cdmlib-remote-webapp
+	              </excludeArtifactIds>
+	              <includeArtifactIds>
+	                cdmlib-remote,cdmlib-print
+	              </includeArtifactIds>
+	              <outputDirectory>${basedir}/lib</outputDirectory>
+	              <overWriteReleases>true</overWriteReleases>
+	              <overWriteSnapshots>true</overWriteSnapshots>
+	              <excludeTransitive>true</excludeTransitive>
+	            </configuration>
+	          </execution>
+	        </executions>
+	      </plugin>
+	    </plugins>  
+	</build>
+	<dependencies>
+	    <dependency>
+	      <groupId>eu.etaxonomy</groupId>
+	      <artifactId>cdmlib-remote</artifactId>
+	      <version>${cdmlib.version}</version>
+	    </dependency>
+	    <dependency>
+	      <groupId>eu.etaxonomy</groupId>
+	      <artifactId>cdmlib-print</artifactId>
+	      <version>${cdmlib.version}</version>
+    </dependency>
+	</dependencies>
 </project>