commit 6aa1e65db289e511913d62aed0929ecdca81b634
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Fri Jun 10 16:16:24 2016 +0200

    Adapt all transient services to latest API changes

diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientAgentService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientAgentService.java
index bd0723b7e..f740dbe2b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientAgentService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientAgentService.java
@@ -463,14 +463,6 @@ public class TransientAgentService implements IAgentService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<AgentBase>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
 
     /**
      * @param clazz
@@ -842,11 +834,17 @@ public class TransientAgentService implements IAgentService {
         return defaultService.load(arg0, arg1);
     }
 
-    /**
-     * {@inheritDoc}
-     */
-    @Override
-    public List<UuidAndTitleCache<AgentBase>> getUuidAndAbbrevTitleCache() {
-        return defaultService.getUuidAndAbbrevTitleCache();
-    }
+	@Override
+	public List<UuidAndTitleCache<AgentBase>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
+
+	@Override
+	public List<UuidAndTitleCache<AgentBase>> getUuidAndAbbrevTitleCache(
+			Integer limit, String pattern, Class clazz) {
+		 return defaultService.getUuidAndAbbrevTitleCache(limit, pattern, clazz);
+	}
+
+
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientClassificationService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientClassificationService.java
index 9a8a1b83a..a3a7c515a 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientClassificationService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientClassificationService.java
@@ -454,15 +454,6 @@ public class TransientClassificationService implements IClassificationService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<Classification>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -991,5 +982,24 @@ public class TransientClassificationService implements IClassificationService {
         return defaultService.load(arg0, arg1);
     }
 
+	@Override
+	public List<UuidAndTitleCache<Classification>> getUuidAndTitleCache(Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(null, null);
+	}
+
+	@Override
+	public List<UuidAndTitleCache<TaxonNode>> getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification(
+			UUID classificationUuid, List<UUID> excludeTaxa, Integer limit,
+			String pattern) {
+		return defaultService.getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification(classificationUuid, excludeTaxa, limit, pattern);
+	}
+
+	@Override
+	public List<UuidAndTitleCache<TaxonNode>> getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification(
+			Classification classification, List<UUID> excludeTaxa,
+			Integer limit, String pattern) {
+		return defaultService.getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification(classification, excludeTaxa, limit, pattern);
+	}
+
 
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientCollectionService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientCollectionService.java
index 006809900..990beafb6 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientCollectionService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientCollectionService.java
@@ -416,15 +416,6 @@ public class TransientCollectionService implements ICollectionService {
         return defaultService.getSourcedObjectByIdInSource(clazz, idInSource, idNamespace);
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<Collection>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param queryString
@@ -743,9 +734,6 @@ public class TransientCollectionService implements ICollectionService {
         return defaultService.merge(arg0, arg1);
     }
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.api.service.IService#loadWithUpdate(java.util.UUID)
-     */
     @Override
     public Collection loadWithUpdate(UUID arg0) {
         return defaultService.loadWithUpdate(arg0);
@@ -759,5 +747,12 @@ public class TransientCollectionService implements ICollectionService {
         return defaultService.load(arg0, arg1);
     }
 
+	@Override
+	public List<UuidAndTitleCache<Collection>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
+
+
 
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientDescriptionService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientDescriptionService.java
index ee1e09b6b..a26c55393 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientDescriptionService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientDescriptionService.java
@@ -51,6 +51,7 @@ import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
+import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.model.view.AuditEvent;
 import eu.etaxonomy.cdm.model.view.AuditEventRecord;
 import eu.etaxonomy.cdm.persistence.dao.common.AuditEventSort;
@@ -466,15 +467,6 @@ public class TransientDescriptionService implements IDescriptionService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<DescriptionBase>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -1240,4 +1232,11 @@ public class TransientDescriptionService implements IDescriptionService {
         return defaultService.load(arg0, arg1);
     }
 
+	@Override
+	public List<UuidAndTitleCache<DescriptionBase>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
+
+
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientNameService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientNameService.java
index 9a85236c1..cb0ab1b04 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientNameService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientNameService.java
@@ -48,6 +48,7 @@ import eu.etaxonomy.cdm.model.common.MarkerType;
 import eu.etaxonomy.cdm.model.common.ReferencedEntityBase;
 import eu.etaxonomy.cdm.model.common.RelationshipBase;
 import eu.etaxonomy.cdm.model.common.RelationshipBase.Direction;
+import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.name.HomotypicalGroup;
 import eu.etaxonomy.cdm.model.name.HybridRelationship;
@@ -483,15 +484,6 @@ public class TransientNameService implements INameService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<TaxonNameBase>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -1098,15 +1090,6 @@ public class TransientNameService implements INameService {
         return defaultService.search(clazz, queryString, pageSize, pageNumber, orderHints, propertyPaths);
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.INameService#getUuidAndTitleCacheOfNames()
-     */
-    @Override
-    public List<UuidAndTitleCache> getUuidAndTitleCacheOfNames() {
-        return defaultService.getUuidAndTitleCacheOfNames();
-    }
-
     /**
      * @param clazz
      * @param queryString
@@ -1236,4 +1219,16 @@ public class TransientNameService implements INameService {
         return defaultService.load(arg0, arg1);
     }
 
+    @Override
+	public List<UuidAndTitleCache<TaxonNameBase>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
+
+	@Override
+	public List<UuidAndTitleCache> getUuidAndTitleCacheOfNames(Integer limit,
+			String pattern) {
+		return defaultService.getUuidAndTitleCacheOfNames(limit, pattern);
+	}
+
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientOccurenceService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientOccurenceService.java
index 96726beeb..d742c926d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientOccurenceService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientOccurenceService.java
@@ -42,6 +42,7 @@ import eu.etaxonomy.cdm.api.service.util.TaxonRelationshipEdge;
 import eu.etaxonomy.cdm.common.monitor.IProgressMonitor;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.ICdmBase;
 import eu.etaxonomy.cdm.model.common.ISourceable;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
@@ -439,15 +440,6 @@ public class TransientOccurenceService implements IOccurrenceService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<SpecimenOrObservationBase>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -1106,5 +1098,10 @@ public class TransientOccurenceService implements IOccurrenceService {
         return defaultService.getAllChildDerivatives(arg0);
     }
 
+    @Override
+	public List<UuidAndTitleCache<SpecimenOrObservationBase>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
 
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientReferenceService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientReferenceService.java
index 605f12b78..d985d1d81 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientReferenceService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientReferenceService.java
@@ -35,6 +35,7 @@ import eu.etaxonomy.cdm.model.common.LSID;
 import eu.etaxonomy.cdm.model.common.Marker;
 import eu.etaxonomy.cdm.model.common.MarkerType;
 import eu.etaxonomy.cdm.model.media.Rights;
+import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.model.view.AuditEvent;
@@ -414,15 +415,6 @@ public class TransientReferenceService implements IReferenceService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<Reference>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -767,5 +759,10 @@ public class TransientReferenceService implements IReferenceService {
         return defaultService.load(arg0, arg1);
     }
 
+    @Override
+	public List<UuidAndTitleCache<Reference>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
 
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTaxonService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTaxonService.java
index aacf841c8..c09b51ad7 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTaxonService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTaxonService.java
@@ -431,15 +431,6 @@ public class TransientTaxonService implements ITaxonService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<TaxonBase>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -1278,23 +1269,6 @@ public class TransientTaxonService implements ITaxonService {
         return defaultService.findBestMatchingSynonym(taxonName);
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.ITaxonService#getUuidAndTitleCacheTaxon()
-     */
-    @Override
-    public List<UuidAndTitleCache<TaxonBase>> getUuidAndTitleCacheTaxon() {
-        return defaultService.getUuidAndTitleCacheTaxon();
-    }
-
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.ITaxonService#getUuidAndTitleCacheSynonym()
-     */
-    @Override
-    public List<UuidAndTitleCache<TaxonBase>> getUuidAndTitleCacheSynonym() {
-        return defaultService.getUuidAndTitleCacheSynonym();
-    }
 
     /**
      * @param configurator
@@ -1558,5 +1532,23 @@ public class TransientTaxonService implements ITaxonService {
         return defaultService.load(arg0, arg1);
     }
 
+	@Override
+	public List<UuidAndTitleCache<TaxonBase>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
+
+	@Override
+	public List<UuidAndTitleCache<TaxonBase>> getUuidAndTitleCacheTaxon(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCacheTaxon(limit, pattern);
+	}
+
+	@Override
+	public List<UuidAndTitleCache<TaxonBase>> getUuidAndTitleCacheSynonym(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCacheSynonym(limit, pattern);
+	}
+
 
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTermService.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTermService.java
index e032eb3eb..c904025c9 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTermService.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/dataimport/transientServices/TransientTermService.java
@@ -49,6 +49,7 @@ import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
 import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.model.media.Rights;
+import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.view.AuditEvent;
 import eu.etaxonomy.cdm.model.view.AuditEventRecord;
 import eu.etaxonomy.cdm.persistence.dao.common.AuditEventSort;
@@ -509,15 +510,6 @@ public class TransientTermService implements ITermService {
         return defaultService.getSession();
     }
 
-    /**
-     * @return
-     * @see eu.etaxonomy.cdm.api.service.IIdentifiableEntityService#getUuidAndTitleCache()
-     */
-    @Override
-    public List<UuidAndTitleCache<DefinedTermBase>> getUuidAndTitleCache() {
-        return defaultService.getUuidAndTitleCache();
-    }
-
     /**
      * @param clazz
      * @param limit
@@ -921,5 +913,9 @@ public class TransientTermService implements ITermService {
         return defaultService.load(arg0, arg1);
     }
 
-
+    @Override
+	public List<UuidAndTitleCache<DefinedTermBase>> getUuidAndTitleCache(
+			Integer limit, String pattern) {
+		return defaultService.getUuidAndTitleCache(limit, pattern);
+	}
 }