commit 5b9d66b0c875fc4e766d2ad6c4912bcf71db0315
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Jun 17 11:54:15 2019 +0200

    cleanup some production destinations

diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/CampanulaceaeActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/CampanulaceaeActivator.java
index 27856740..15dc004f 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/CampanulaceaeActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/CampanulaceaeActivator.java
@@ -44,7 +44,7 @@ public class CampanulaceaeActivator {
 	//database validation status (create, update, validate ...)
 	static DbSchemaValidation hbm2dll = DbSchemaValidation.CREATE;
 	static final Source berlinModelSource = BerlinModelSources.Campanulaceae();
-	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_campanulaceae_production();
+	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_campanulaceae();
 
 	static final UUID secUuid = UUID.fromString("ed7dd0ea-fcdd-405d-9fe1-52652aa06119");
 	static final UUID classificationUuid = UUID.fromString("e305ddac-7200-4293-aa5d-d3426133ed9f");
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaChecklistActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaChecklistActivator.java
index cd83c60b..79fc5dd4 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaChecklistActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaChecklistActivator.java
@@ -42,7 +42,7 @@ public class BogotaChecklistActivator {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //  static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_bogota_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_bogota();
 
     //classification
     static final UUID classificationUuid = UUID.fromString("c7779e17-8d45-4429-a9b0-e9c0fce93ec5");
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaSpecimenActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaSpecimenActivator.java
index a7135d34..67e79e37 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaSpecimenActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/bogota/BogotaSpecimenActivator.java
@@ -39,7 +39,7 @@ public class BogotaSpecimenActivator {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //  static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_bogota();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_bogota_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_bogota();
 
     int minRow = 1;
     int maxRow = 1000000; //minRow + 11999;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
index 0cfd3ffc..eb07f198 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
@@ -300,7 +300,7 @@ public class CdmDestinations {
 		return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
 	}
 
-	public static ICdmDataSource cdm_cyprus_production(){
+	public static ICdmDataSource cdm_production_cyprus(){
 		DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
 		String cdmServer = "160.45.63.171";
 		String cdmDB = "cdm_production_cyprus";
@@ -324,7 +324,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-    public static ICdmDataSource cdm_greece_checklist_production(){
+    public static ICdmDataSource cdm_production_greece_checklist(){
         DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
         String cdmServer = "160.45.63.171";
         String cdmDB = "cdm_production_flora_greece";
@@ -340,7 +340,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-    public static ICdmDataSource cdm_bogota_production(){
+    public static ICdmDataSource cdm_production_bogota(){
         DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
         String cdmServer = "160.45.63.171";
         String cdmDB = "cdm_production_flora_bogota";
@@ -348,7 +348,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-	public static ICdmDataSource cdm_cyprus_production_tunnel(){
+	public static ICdmDataSource cdm_production_tunnel_cyprus(){
 		DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
 		String cdmServer = "127.0.0.1";
 		int port = 13306;
@@ -366,7 +366,7 @@ public class CdmDestinations {
 //		return makeDestination(dbType, cdmServer, cdmDB, port, cdmUserName, null);
 //	}
 
-	public static ICdmDataSource cdm_campanulaceae_production(){
+	public static ICdmDataSource cdm_production_campanulaceae(){
 		DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
 		String cdmServer = "160.45.63.171";
 		String cdmDB = "cdm_production_campanulaceae";
@@ -483,7 +483,7 @@ public class CdmDestinations {
         return makeDestination(dbType, cdmServer, cdmDB, -1, cdmUserName, null);
     }
 
-	public static ICdmDataSource cdm_globis_production(){
+	public static ICdmDataSource cdm_production_globis(){
 		DatabaseTypeEnum dbType = DatabaseTypeEnum.MySQL;
 		String cdmServer = "160.45.63.171";
 		String cdmDB = "cdm_production_globis";
@@ -508,11 +508,6 @@ public class CdmDestinations {
 	}
 
 
-	public static ICdmDataSource NULL(){
-		return null;
-	}
-
-
 	public static ICdmDataSource localH2(){
 		return CdmDataSource.NewH2EmbeddedInstance("cdm", "sa", "");
 	}
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/cyprus/CyprusImagesActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/cyprus/CyprusImagesActivator.java
index 4aff715d..e523e65b 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/cyprus/CyprusImagesActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/cyprus/CyprusImagesActivator.java
@@ -73,8 +73,8 @@ public class CyprusImagesActivator {
 	private static final Logger logger = Logger.getLogger(CyprusImagesActivator.class);
 
 
-//	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_cyprus_dev();
-	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_cyprus_production();
+	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_cyprus_dev();
+//	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_cyprus();
 
 	static boolean testOnly = false;
 	static boolean update_notCreate = false;
@@ -312,7 +312,7 @@ public class CyprusImagesActivator {
             logger.warn("Person could not be parsed: " + artist + " for file " + fileName);
         }
 
-        person = (Person)deduplicationHelper.getExistingAuthor(null, person);
+        person = deduplicationHelper.getExistingAuthor(null, person);
         return person;
     }
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/dwca/DwcaExportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/dwca/DwcaExportActivator.java
index 961fc48e..818af842 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/dwca/DwcaExportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/dwca/DwcaExportActivator.java
@@ -47,7 +47,7 @@ public class DwcaExportActivator {
 //	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_test_local_mysql();
 //	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_production_cichorieae();
 //	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_flora_central_africa_production();
-	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_cyprus_production();
+	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_production_cyprus();
 
 	private IProgressMonitor monitor = DefaultProgressMonitor.NewInstance();
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/globis/GlobisActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/globis/GlobisActivator.java
index 7d11926a..245f3ae0 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/globis/GlobisActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/globis/GlobisActivator.java
@@ -43,7 +43,7 @@ public class GlobisActivator {
 //	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql();
 	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_globis();
-//	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_globis_production();
+//	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_globis();
 
 
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceActivator.java
index de456af8..1670440d 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceActivator.java
@@ -45,7 +45,7 @@ public class GreeceActivator {
 
     static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //  static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
 
     //feature tree uuid
     public static final UUID featureTreeUuid = UUID.fromString("9e1e0e81-7475-4b28-8619-b7f42cd760b6");
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceGenusAuthorActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceGenusAuthorActivator.java
index 2bbd4731..e38b2ca0 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceGenusAuthorActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceGenusAuthorActivator.java
@@ -37,7 +37,7 @@ public class GreeceGenusAuthorActivator {
 
 //    static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //  static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
 
     private static final UUID sourceUuid = UUID.fromString("65e2cd54-8378-4949-9cb7-b973d2033da6");
     private static final String fileName = "Nov2017changes.xlsx";
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImageActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImageActivator.java
index 16b7ab32..4d7f0014 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImageActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImageActivator.java
@@ -41,7 +41,7 @@ public class GreeceImageActivator {
 
     static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //  static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
 
 //    private static final UUID sourceUuid = UUID.fromString("0fd093fe-ffdf-4ace-847b-aad6f0659678");
     private static final UUID sourceUuid = UUID.fromString("9e6a3815-fb8d-46c3-a250-6d8a350d03fc");
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterActivator.java
index cdc8455c..c8822f64 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterActivator.java
@@ -38,7 +38,7 @@ public class GreeceImagesUpdaterActivator {
 
 //  static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
 
 	static boolean testOnly = false;
 	int partition = 3;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterTurlandActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterTurlandActivator.java
index fabfdd49..fa247eba 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterTurlandActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceImagesUpdaterTurlandActivator.java
@@ -35,7 +35,7 @@ public class GreeceImagesUpdaterTurlandActivator {
 
 //  static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
-    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
 
 	static boolean testOnly = false;
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceLargeImagesAdderActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceLargeImagesAdderActivator.java
index 0df0600a..832b4f57 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceLargeImagesAdderActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceLargeImagesAdderActivator.java
@@ -39,7 +39,7 @@ public class GreeceLargeImagesAdderActivator {
 
 
 //	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
-	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
 
 	static boolean testOnly = false;
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceWillingActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceWillingActivator.java
index 680bc5ce..442a288f 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceWillingActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/greece/GreeceWillingActivator.java
@@ -36,7 +36,7 @@ public class GreeceWillingActivator {
 
 
     static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
-//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_greece_checklist_production();
+//    static final ICdmDataSource cdmDestination = CdmDestinations.cdm_production_greece_checklist();
     boolean doCheckNames = false;
 
     private static final UUID sourceUuid = UUID.fromString("70efe59f-8b0c-4f83-b54e-2a16f567fe8e");
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/i4life/col/ColDwcaExportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/i4life/col/ColDwcaExportActivator.java
index 92894b68..c1331a71 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/i4life/col/ColDwcaExportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/i4life/col/ColDwcaExportActivator.java
@@ -47,7 +47,7 @@ public class ColDwcaExportActivator {
 //	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_test_local_mysql();
 //	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_production_cichorieae();
 //	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_flora_central_africa_production();
-	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_cyprus_production();
+	private static final ICdmDataSource cdmSource = CdmDestinations.cdm_production_cyprus();
 
 	private IProgressMonitor monitor = DefaultProgressMonitor.NewInstance();
 